/*
Copyright 2020 Rancher Labs, Inc.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

// Code generated by main. DO NOT EDIT.

package v1alpha1

import (
	v1alpha1 "github.com/rancher/fleet/pkg/apis/fleet.cattle.io/v1alpha1"
	"github.com/rancher/lasso/pkg/controller"
	"github.com/rancher/wrangler/pkg/schemes"
	"k8s.io/apimachinery/pkg/runtime/schema"
)

func init() {
	v1alpha1.AddToScheme(schemes.All)
}

type Interface interface {
	Bundle() BundleController
	BundleDeployment() BundleDeploymentController
	Cluster() ClusterController
	ClusterGroup() ClusterGroupController
	ClusterGroupToken() ClusterGroupTokenController
	ClusterRegistrationRequest() ClusterRegistrationRequestController
	Content() ContentController
}

func New(controllerFactory controller.SharedControllerFactory) Interface {
	return &version{
		controllerFactory: controllerFactory,
	}
}

type version struct {
	controllerFactory controller.SharedControllerFactory
}

func (c *version) Bundle() BundleController {
	return NewBundleController(schema.GroupVersionKind{Group: "fleet.cattle.io", Version: "v1alpha1", Kind: "Bundle"}, "bundles", c.controllerFactory)
}
func (c *version) BundleDeployment() BundleDeploymentController {
	return NewBundleDeploymentController(schema.GroupVersionKind{Group: "fleet.cattle.io", Version: "v1alpha1", Kind: "BundleDeployment"}, "bundledeployments", c.controllerFactory)
}
func (c *version) Cluster() ClusterController {
	return NewClusterController(schema.GroupVersionKind{Group: "fleet.cattle.io", Version: "v1alpha1", Kind: "Cluster"}, "clusters", c.controllerFactory)
}
func (c *version) ClusterGroup() ClusterGroupController {
	return NewClusterGroupController(schema.GroupVersionKind{Group: "fleet.cattle.io", Version: "v1alpha1", Kind: "ClusterGroup"}, "clustergroups", c.controllerFactory)
}
func (c *version) ClusterGroupToken() ClusterGroupTokenController {
	return NewClusterGroupTokenController(schema.GroupVersionKind{Group: "fleet.cattle.io", Version: "v1alpha1", Kind: "ClusterGroupToken"}, "clustergrouptokens", c.controllerFactory)
}
func (c *version) ClusterRegistrationRequest() ClusterRegistrationRequestController {
	return NewClusterRegistrationRequestController(schema.GroupVersionKind{Group: "fleet.cattle.io", Version: "v1alpha1", Kind: "ClusterRegistrationRequest"}, "clusterregistrationrequests", c.controllerFactory)
}
func (c *version) Content() ContentController {
	return NewContentController(schema.GroupVersionKind{Group: "fleet.cattle.io", Version: "v1alpha1", Kind: "Content"}, "contents", c.controllerFactory)
}
